#
# (c) okunah gmbh
#
# name: Makefile
#
# description: description
#
# written by: Christof Donat
# 
# changes:
#    05.11.11 (Christof Donat): created this file
#


#
# includes
#

#
# defines
#

#
# rules
#

all: release

debug-test: debug
	cd build/Debug; make test

debug: debug-env
	cd build/Debug; make

debug-dir:
	if [ ! -d build/Debug ]; then mkdir -p build/Debug; fi

debug-env: debug-dir
	cd build/Debug; cmake -DCMAKE_BUILD_TYPE="Debug" ../../hsadminc/

test: release
	cd build/Release; make test

release: release-env
	cd build/Release; make

release-env: release-dir
	cd build/Release; cmake -DCMAKE_BUILD_TYPE="Release" ../../hsadminc/

release-dir:
	if [ ! -d build/Release ]; then mkdir -p build/Release; fi

small-test: small
	cd build/MinSizeRel; make test

small: small-env
	cd build/MinSizeRel; make

small-env: small-dir
	cd build/MinSizeRel; cmake -DCMAKE_BUILD_TYPE="MinSizeRel" ../../hsadminc/

small-dir:
	if [ ! -d build/MinSizeRel ]; then mkdir -p build/MinSizeRel; fi

clean:
	rm -rf build

# end Makefile


